# norootforbuild


Name:           kohana
%define         realname Kohana
Summary:        PHP 5 framework that uses the Model View Controller architectural pattern
Version:        2.3.4
Release:        1.1
Url:            http://kohanaphp.com
License:        BSD like, Free Redistribution by Kohana Team
Group:          Productivity/Networking/Web/Utilities
AutoReqProv:    off 
Source0:        %{realname}_v%{version}.tar.bz2
Source1:        kohana-apache_include
Patch1:         kohana-usr_share.patch
PreReq:         apache2
Requires:       mod_php_any
BuildRequires:  apache2-devel
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%define         apache_serverroot %(/usr/sbin/apxs2 -q DATADIR)
%define         apache_sysconfdir %(/usr/sbin/apxs2 -q SYSCONFDIR)
%define         installpath %{apache_serverroot}/%{name}


%description
Kohana is a PHP 5 framework that uses the Model View Controller architectural
pattern. It aims to be secure, lightweight, and easy to use.


Features

    * Highly secure
    * Extremely lightweight
    * Short learning curve
    * Uses the MVC pattern
    * 100% UTF-8 compatible
    * Loosely coupled architecture
    * Extremely easy to extend


Authors:
--------
    The Kohana Team

%package lang-en_US
License:        BSD like, Free Redistribution by Kohana Team
Summary:        English (US) translations for %name
Group:          Productivity/Networking/Web/Utilities
Requires:       %name = %version
Provides:       locale(%name:en_US)

%description lang-en_US
This package contains files needed to display Kohana in English (US).

%files lang-en_US
%defattr(-,root,root)
%dir %{_datadir}/%{name}/system/i18n/en_US
%{_datadir}/%{name}/system/i18n/en_US

%package lang-en_GB
License:        BSD like, Free Redistribution by Kohana Team
Summary:        English (UK) translations for %name
Group:          Productivity/Networking/Web/Utilities
Requires:       %name = %version
Provides:       locale(%name:en_GB)

%description lang-en_GB
This package contains files needed to display Kohana in English (UK).

%files lang-en_GB
%defattr(-,root,root)
%dir %{_datadir}/%{name}/system/i18n/en_GB
%{_datadir}/%{name}/system/i18n/en_GB


%package lang-de_DE
License:        BSD like, Free Redistribution by Kohana Team
Summary:        German translations for %name
Group:          Productivity/Networking/Web/Utilities
Requires:       %name = %version
Provides:       locale(%name:de)

%description lang-de_DE
This package contains files needed to display Kohana in German.

%files lang-de_DE
%defattr(-,root,root)
%dir %{_datadir}/%{name}/system/i18n/de_DE
%{_datadir}/%{name}/system/i18n/de_DE

%package lang-es_AR
License:        BSD like, Free Redistribution by Kohana Team
Summary:        Spanish (Argentina) translations for %name
Group:          Productivity/Networking/Web/Utilities
Requires:       %name = %version
Provides:       locale(%name:es_AR)

%description lang-es_AR
This package contains files needed to display Kohana in Spanish (Argentina).

%files lang-es_AR
%defattr(-,root,root)
%dir %{_datadir}/%{name}/system/i18n/es_AR
%{_datadir}/%{name}/system/i18n/es_AR

%package lang-es_ES
License:        BSD like, Free Redistribution by Kohana Team
Summary:        Spanish translations for %name
Group:          Productivity/Networking/Web/Utilities
Requires:       %name = %version
Provides:       locale(%name:es_ES)

%description lang-es_ES
This package contains files needed to display Kohana in Spanish.

%files lang-es_ES
%defattr(-,root,root)
%dir %{_datadir}/%{name}/system/i18n/es_ES
%{_datadir}/%{name}/system/i18n/es_ES


%package lang-fi_FI
License:        BSD like, Free Redistribution by Kohana Team
Summary:        Finnish translations for %name
Group:          Productivity/Networking/Web/Utilities
Requires:       %name = %version
Provides:       locale(%name:fi_FI)

%description lang-fi_FI
This package contains files needed to display Kohana in Finnish.

%files lang-fi_FI
%defattr(-,root,root)
%dir %{_datadir}/%{name}/system/i18n/fi_FI
%{_datadir}/%{name}/system/i18n/fi_FI


%package lang-fr_FR
License:        BSD like, Free Redistribution by Kohana Team
Summary:        French translations for %name
Group:          Productivity/Networking/Web/Utilities
Requires:       %name = %version
Provides:       locale(%name:fr_FR)

%description lang-fr_FR
This package contains files needed to display Kohana in French.

%files lang-fr_FR
%defattr(-,root,root)
%dir %{_datadir}/%{name}/system/i18n/fr_FR
%{_datadir}/%{name}/system/i18n/fr_FR


%package lang-it_IT
License:        BSD like, Free Redistribution by Kohana Team
Summary:        Italian translations for %name
Group:          Productivity/Networking/Web/Utilities
Requires:       %name = %version
Provides:       locale(%name:it_IT)

%description lang-it_IT
This package contains files needed to display Kohana in Italian.

%files lang-it_IT
%defattr(-,root,root)
%dir %{_datadir}/%{name}/system/i18n/it_IT
%{_datadir}/%{name}/system/i18n/it_IT


%package lang-nl_NL
License:        BSD like, Free Redistribution by Kohana Team
Summary:        Dutch translations for %name
Group:          Productivity/Networking/Web/Utilities
Requires:       %name = %version
Provides:       locale(%name:nl_NL)

%description lang-nl_NL
This package contains files needed to display Kohana in Dutch.

%files lang-nl_NL
%defattr(-,root,root)
%dir %{_datadir}/%{name}/system/i18n/nl_NL
%{_datadir}/%{name}/system/i18n/nl_NL


%package lang-pl_PL
License:        BSD like, Free Redistribution by Kohana Team
Summary:        Polish translations for %name
Group:          Productivity/Networking/Web/Utilities
Requires:       %name = %version
Provides:       locale(%name:pl_PL)

%description lang-pl_PL
This package contains files needed to display Kohana in Polish.

%files lang-pl_PL
%defattr(-,root,root)
%dir %{_datadir}/%{name}/system/i18n/pl_PL
%{_datadir}/%{name}/system/i18n/pl_PL


%package lang-pt_BR
License:        BSD like, Free Redistribution by Kohana Team
Summary:        Portuguese (Brazil) translations for %name
Group:          Productivity/Networking/Web/Utilities
Requires:       %name = %version
Provides:       locale(%name:pt_BR)

%description lang-pt_BR
This package contains files needed to display Kohana in Portuguese (Brazil).

%files lang-pt_BR
%defattr(-,root,root)
%dir %{_datadir}/%{name}/system/i18n/pt_BR
%{_datadir}/%{name}/system/i18n/pt_BR


%package lang-ru_RU
License:        BSD like, Free Redistribution by Kohana Team
Summary:        Russian translations for %name
Group:          Productivity/Networking/Web/Utilities
Requires:       %name = %version
Provides:       locale(%name:ru_RU)

%description lang-ru_RU
This package contains files needed to display Kohana in Russian.

%files lang-ru_RU
%defattr(-,root,root)
%dir %{_datadir}/%{name}/system/i18n/ru_RU
%{_datadir}/%{name}/system/i18n/ru_RU


%package module-archive
License:        BSD like, Free Redistribution by Kohana Team
Summary:        Compressed archive creation 
Group:          Productivity/Networking/Web/Utilities
Requires:       %name = %version

%description module-archive
Compressed archive creation, supports zip, tar, gzip, and bzip.

%files module-archive
%defattr(-,root,root)
%dir %{_datadir}/%{name}/modules/archive
%{_datadir}/%{name}/modules/archive/


%package module-auth
License:        BSD like, Free Redistribution by Kohana Team
Summary:        Simple authentication and user management
Group:          Productivity/Networking/Web/Utilities
Requires:       %name = %version

%description module-auth
Simple authentication and user management. Uses ORM for models. 

%files module-auth
%defattr(-,root,root)
%dir %{_datadir}/%{name}/modules/auth
%{_datadir}/%{name}/modules/auth


%package module-gmaps
License:        BSD like, Free Redistribution by Kohana Team
Summary:        Google Maps integration
Group:          Productivity/Networking/Web/Utilities
Requires:       %name = %version

%description module-gmaps
Google Maps integration, geolocation, and API support.

%files module-gmaps
%defattr(-,root,root)
%dir %{_datadir}/%{name}/modules/gmaps
%{_datadir}/%{name}/modules/gmaps


%package module-kodoc
License:        BSD like, Free Redistribution by Kohana Team
Summary:        Dynamic self-generated documentation
Group:          Productivity/Networking/Web/Utilities
Requires:       %name = %version

%description module-kodoc
Dynamic self-generated documentation. (Beta!)

%files module-kodoc
%defattr(-,root,root)
%dir %{_datadir}/%{name}/modules/kodoc
%{_datadir}/%{name}/modules/kodoc


%package module-payment
License:        BSD like, Free Redistribution by Kohana Team
Summary:        Provides merchant and payment gateway wrappers
Group:          Productivity/Networking/Web/Utilities
Requires:       %name = %version

%description module-payment
Provides merchant and payment gateway wrappers. Supports Authorize.net, PayPal,
Trident, Trust Commerce, and YourPay. 

%files module-payment
%defattr(-,root,root)
%dir %{_datadir}/%{name}/modules/payment
%{_datadir}/%{name}/modules/payment


%package vendor-markdown
License:        BSD like, Free Redistribution by Kohana Team
Summary:        Text formatting tool
Group:          Productivity/Networking/Web/Utilities
Requires:       %name = %version

%description vendor-markdown
Text formatting tool that offers text to HTML markup with a natural syntax.

%files vendor-markdown
%defattr(-,root,root)
%{_datadir}/%{name}/system/vendor/Markdown.php


%package vendor-swiftmailer
License:        BSD like, Free Redistribution by Kohana Team
Summary:        Feature-rich emailing library
Group:          Productivity/Networking/Web/Utilities
Requires:       %name = %version

%description vendor-swiftmailer
Feature-rich emailing library that supports HTML email, SMTP connections, and
many other features.

%files vendor-swiftmailer
%defattr(-,root,root)
%dir %{_datadir}/%{name}/system/vendor/swift
%{_datadir}/%{name}/system/vendor/swift/

%prep
%setup -q -n %{realname}_v%{version}
%patch1 -p0

%build

%install
mkdir -p %{buildroot}/%{installpath}
cp -r * %{buildroot}/%{installpath}/
find %{buildroot}/%{installpath}/ -type d -exec chmod 755 {} \;
find %{buildroot}/%{installpath}/ -type f -exec chmod 644 {} \;
for dir in application/logs application/cache; do
	chmod 775 %{buildroot}/%{installpath}/$dir
done
# install apache config
mkdir -p %{buildroot}/%{apache_sysconfdir}/conf.d/
install -m640 %{SOURCE1} %{buildroot}/%{apache_sysconfdir}/conf.d/%{name}_include.conf
# move system and modules folder out of webroot
mkdir -p %{buildroot}/%{_datadir}/%{name}/
mv %{buildroot}/%{installpath}/{system,modules} %{buildroot}/%{_datadir}/%{name}/
# remove example file
rm %{buildroot}/%{installpath}/example.htaccess
# move the global config files to /etc
for dir in system ; do
	mkdir -p %{buildroot}/%{_sysconfdir}/%{name}/$dir
	mv %{buildroot}/%{_datadir}/%{name}/$dir/config %{buildroot}/%{_sysconfdir}/%{name}/$dir/
	pushd %{buildroot}/%{_datadir}/%{name}/$dir
	ln -s %{_sysconfdir}/%{name}/$dir/config .
	popd
done
# same for the initial application config directory
mkdir %{buildroot}/%{_sysconfdir}/%{name}/application
mv %{buildroot}/%{installpath}/application/config %{buildroot}/%{_sysconfdir}/%{name}/application/
pushd %{buildroot}/%{installpath}/application/
ln -s %{_sysconfdir}/%{name}/application/config .
popd

%clean
rm -rf %buildroot

%post
# enable php5 in apache config
if [ -x %{_sbindir}/a2enmod ]; then
  if grep -q php5 %{_sysconfdir}/sysconfig/apache2 1>&2 2>/dev/null; then
    %{_sbindir}/a2enmod php5 >/dev/null
  fi
fi
%restart_on_update apache2

%files 
%defattr(-,root,root)
%doc Kohana\ License.html
%dir %{installpath}
%{installpath}/
#%{installpath}/application
#%{installpath}/index.php
#%{installpath}/install.php
#%{installpath}/Kohana*.html
#%{installpath}/kohana.png
%dir %{_sysconfdir}/%{name}
%dir %{_sysconfdir}/%{name}/application
%dir %{_sysconfdir}/%{name}/application/config
%dir %{_sysconfdir}/%{name}/system
%dir %{_sysconfdir}/%{name}/system/config
%config(noreplace) %{_sysconfdir}/%{name}/*/config/*
%config(noreplace) %{apache_sysconfdir}/conf.d/%{name}_include.conf
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/
%attr(-,wwwrun,www) %{installpath}/application/cache
%attr(-,wwwrun,www) %{installpath}/application/logs
%exclude %{_datadir}/%{name}/system/i18n/*
%exclude %{_datadir}/%{name}/modules/*
%exclude %{_datadir}/%{name}/system/vendor/*

%changelog
* Tue Dec 15 2009 lars@linux-schulserver.de
- initial package 2.3.4
